N D:\WORK\FAXTONE.COM
A 100
; --------------------------------------------------------------------
; This short routine generates frequency of 1100 Hz. This can be used
; to adjust a 1100 Hz Faxtone (CNG) filter.
; Press any key to stop tone generation and to terminate the programm
; Author: F.J.Schubert 10/99
; --------------------------------------------------------------------
MOV     AL,B6    ; select counter 2, bits 0-7, bits 8-15, mode 3                
OUT     43,AL    ; set control byte register                                    
MOV     AX,043D  ; divisor for 1100 Hz = 1193180 / 1100 = 1085 = 043D
OUT     42,AL    ; set LSB of count register                                    
MOV     AL,AH    ; get MSB in AL                                                
OUT     42,AL    ; set MSB of count register                                    
IN      AL,61    ; get current setting of system control port B                 
PUSH    AX       ; save that setting                                            
OR      AL,03    ; enable speaker data and timer 2 gate                         
OUT     61,AL    ; set system control port B                                    
MOV     AH,0C    ; set clear keyboard buffer function                           
MOV     AL,08    ; set console input without echo function                      
INT     21       ; issue DOS function request                                   
POP     AX       ; recover value of port                                        
OUT     61,AL    ; reset setting of system control port B                       
XOR     AL,AL    ; set errorlevel 0                                             
MOV     AH,4C    ; set terminate function                                       
INT     21       ; issue DOS function request                                   

R CX
23
W

Q
